@REM BEGIN COPYRIGHT
@REM *************************************************************************
@REM Licensed Materials - Property of IBM 
@REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
@REM (C) Copyright IBM Corporation 2006. All rights reserved. 
@REM US Government Users Restricted Rights - Use, duplication, or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.
@REM *************************************************************************
@REM END COPYRIGHT
@REM DDL generator script

@REM *************************************************************************
@REM if run this script in the designated dir <WAS_HOME>/util/dbUtils, 
@REM it starts automatically with current install image at this location.
@REM Otherwise, it prompts user input for <WAS_HOME>
@REM *************************************************************************

@setlocal
@echo off

@REM current running dir
SET CUR_DIR=%cd%

@REM ask for WAS_HOME
SET WAS_HOME="%~dp0..\.."
IF NOT EXIST %WAS_HOME%\bin\setupCmdLine.bat set /p WAS_HOME=Please enter WAS_HOME directory :

@REM echo WAS_HOME=%WAS_HOME%

@REM Bootstrap values ...
call %WAS_HOME%\bin\setupCmdLine.bat
set PATH=%WAS_PATH%

IF NOT EXIST "%WAS_HOME%\java\bin\java.exe" set /p JAVA_HOME=Please enter JAVA_HOME directory :

@REM echo JAVA_HOME=%JAVA_HOME%

@REM switch back to current dir
cd /d "%CUR_DIR%"

"%JAVA_HOME%\bin\java" %WAS_LOGGING% "-classpath" "%WAS_CLASSPATH%" "-Dws.ext.dirs=%WAS_EXT_DIRS%" "-Dwas.install.root=%WAS_HOME%" "com.ibm.ws.bootstrap.WSLauncher" "com.ibm.bpm.db.config.metadata.generators.tools.CmdLineDbDesignGenerator" %*

@endlocal
